curl --request GET \
--url https://api.example.com/api/v2/modelsПолучить все доступные AI-модели с ценами и возможностями
curl --request GET \
--url https://api.example.com/api/v2/modelstext, image, video, tts, stt, music, toolfree (Starter), basic, pro, vip, elitecurl "https://neuralbox.top/api/v2/models?category=image" \
-H "Authorization: Bearer nb_ВАШ_КЛЮЧ"
{
"models": [
{
"slug": "flux-1.1-pro",
"name": "Flux 1.1 Pro",
"category": "image",
"provider": "Replicate",
"token_cost": 4,
"is_free": false,
"min_plan": "basic",
"min_token_cost": 4,
"max_token_cost": 4,
"description_ru": "Высококачественная фотореалистичная генерация",
"description_en": "High-quality photorealistic image generation",
"supports_streaming": false,
"config": {
"sizes": ["1024x1024", "768x1344", "1344x768"],
"formats": ["webp", "png", "jpeg"],
"supports_negative_prompt": true
}
},
{
"slug": "gpt-5",
"name": "GPT-5",
"category": "text",
"provider": "OpenAI",
"token_cost": 2,
"is_free": false,
"min_plan": "basic",
"min_token_cost": 2,
"max_token_cost": 2,
"supports_streaming": true,
"config": {
"supports_vision": true,
"max_context": 128000
}
}
],
"total": 52
}
GET /api/v2/models/{slug}/avg-time